Issue 122086 - [sidebar] Allow title bars of decks and panels to display icons
[sidebar] Allow title bars of decks and panels to display icons
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-04-18 09:21 UTC by Andre
Modified: 2013-07-11 13:56 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Add support for displaying icons in sidebar title bars (10.89 KB, patch)
2013-04-18 09:39 UTC, Andre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2013-04-18 09:21:02 UTC
Allow each deck and panel to show an icon in its title bar.  By default no icon will be shown for the builin decks and panels.  This is more a feature for addons to stand out.
Comment 1 Andre 2013-04-18 09:39:21 UTC
Created attachment 80544 [details]
Add support for displaying icons in sidebar title bars
Comment 2 Andre 2013-04-18 09:41:52 UTC
I am currently building another branch and updating my repositories so can not do proper testing.  Attaching a patch, so that it does not get lost.

The main change is to Sidebar.xcs with new properties for nodes Deck and Panel:
 TitleBarIconURL and HighContrastTitleBarIconURL for the normal and the high contrast icons.  By default, no icon is displayed.
Comment 3 SVN Robot 2013-04-23 15:08:05 UTC
"af" committed SVN revision 1471003 into trunk:
122086: Show icons in decks and titles (optionally).
Comment 4 Andre 2013-04-23 15:09:07 UTC
Applied the patch.